Skip to main content
POST
/
v0
/
multiply
/
{marketAddress}
/
withdraw
Multiply Withdraw
curl --request POST \
  --url https://kamino.dial.to/api/v0/multiply/{marketAddress}/withdraw \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "transaction",
  "account": "6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176"
}
'
{
  "type": "<unknown>",
  "transaction": "<string>",
  "links": {
    "next": {
      "type": "<string>",
      "href": "<string>"
    }
  },
  "dialectExperimental": {
    "reference": "<string>"
  }
}

Path Parameters

marketAddress
string
default:DxXdAyU3kCjnyggvHmY5nAwg5cRbbmdyX3npfDMjjMek
required

Market public key

Query Parameters

collTokenMint
string
default:27G8MtK7VtTcCHkpASjSDdkWWYfoqT6ggEuKidVJidD4
required

Collateral token mint address

debtTokenMint
string
default:EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
required

Debt token mint address

side
enum<string>
default:A

The side of the multiply to withdraw from

Available options:
A,
B
percentage
integer
default:10
required

The percentage of position to withdraw (1-100)

Required range: 1 <= x <= 100
slippage
number
default:0.5
required

Slippage tolerance in percentage (0.1-10%)

Required range: 0.1 <= x <= 10

Body

application/json
type
enum<string>
default:transaction
required
Available options:
transaction
account
string
default:6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
required

The public key of the account that executes the transaction

Response

200 - application/json

OK

type
any
required
transaction
string
required
dialectExperimental
object